<?
include ("../conectar.php"); 
include ("../funciones/fechas.php"); 


session_start();
	$usuario=limpiar($_SESSION['username']);
		$sqll=mysql_query("SELECT * FROM usuarios WHERE usu='$usuario'");
		if($dato=mysql_fetch_array($sqll)){
			$nombre=$dato['usu'];
			$palabra=explode(" ", $nombre);
			$nomb=$palabra[0];
			$codigo=$dato['codusu'];
			$codusu=explode(" ", $codigo);
			$cod=$codusu[0];
		}
		
$accion=$_POST["accion"];
if (!isset($accion)) { $accion=$_GET["accion"]; }

$codfacturatmp=$_POST["codfacturatmp"];
$cdgcli=$_POST["cdgcli"];
$dsccli=strtoupper($_POST["dsccli"]);
$cedcli=$_POST["cedcli"];
$fecha=date("Y-m-d");
$cob_iv=$_POST["cob_iv"];
$remito=$_POST["remito"];
$numfactura=$_POST["numfactura"];
$cdgtipven=$_POST["combotipoventa"];
$vehpla=$_POST["vehpla"];
$kmsveh=$_POST["kmsveh"];
$cdgven=$cod;
$descuento=$_POST["descuento"];
$minimo=0;
$codfacturacontado=$_POST["codfacturacontado"];
$codfacturacontado2=$_POST["codfacturacontado"];
$pagacon=$_POST["pagacon"];
$vuelto=$_POST["vuelto"];



	//************************************************ Seleción del plazo del cliente *********************************



	
if ($accion=="alta") {
 if ($cdgtipven == 2) {
		$query_plazo="SELECT * FROM web_0301 WHERE cdgcli='$cdgcli'";
		$rs_query_plazo=mysql_query($query_plazo);
		$pladia= mysql_result($rs_query_plazo,0,"cdgpla");
		$dsccli= mysql_result($rs_query_plazo,0,"dsccli");
		$cedcli= mysql_result($rs_query_plazo,0,"cedcli");

// calculo de la fecha de vencimiento **

		$vencimiento= "+".$pladia." day" ;
		
		$fecven = strtotime ( $vencimiento , strtotime ( $fecha ) ) ;
		$fecven = date ( 'd-m-Y' , $fecven );
	
   } else {
   
	   $cdgtipven = 1;
	   $pladia = "0";
	   $query_plazo="SELECT * FROM web_0301 WHERE cdgcli='$cdgcli'";
	   $rs_query_plazo=mysql_query($query_plazo);
	   
	    if ($cdgcli == 9999) {
	   
	     } else {
		 
	   $dsccli= mysql_result($rs_query_plazo,0,"dsccli");
	   $cedcli= mysql_result($rs_query_plazo,0,"cedcli");
   		
		}
    }

 ////////////////////////////////////////////////////   insert de la factura de Credito /////////////////////////////////

		if ($cdgtipven==2){

	$query_operacion="INSERT INTO facturas (codfactura, numfactura, fecha, iva, cdgcli, dsccli, estado, borrado, remito, cdgtipven, vehpla, kmsveh, cdgven, pladia, fechavencimiento ) VALUES ('', '$numfactura', '$fecha', '$cob_iv', '$cdgcli', '$dsccli', '1', '0', '$remito','$cdgtipven','$vehpla','$kmsveh','$cdgven','$pladia','$fecven')";				
	$rs_operacion=mysql_query($query_operacion);
	$codfactura=mysql_insert_id();

	
	// Se guarda la nueva numeracion de factura
	if ($numpro==1)
	{
		$numpro=0;
		$sel_articulos_contado="UPDATE facturas SET codfactura='$numeracionfactura' WHERE codfactura='$codfactura'";
		$rs_articulos_contado=mysql_query($sel_articulos_contado);

		$sel_articulos_contado="UPDATE web_0000 SET numpro=0 ";
		$rs_articulos=mysql_query($sel_articulos_contado);
		$codfactura=$numeracionfactura;
	}
		
	
	if ($rs_operacion) { $mensaje="Factura Completa"; }
	$query_tmp="SELECT * FROM factulineatmp WHERE codfactura='$codfacturatmp' ORDER BY numlinea ASC";
	$rs_tmp=mysql_query($query_tmp);
	$contador=0;
	$baseimponible=0;
	while ($contador < mysql_num_rows($rs_tmp)) {
		$numlinea=mysql_result($rs_tmp,$contador,"numlinea");
		$codigo=mysql_result($rs_tmp,$contador,"codigo");
		$dscart=mysql_result($rs_tmp,$contador,"dscart");
		$cantidad=mysql_result($rs_tmp,$contador,"cantidad");
		$preivi=mysql_result($rs_tmp,$contador,"preivi");
		$importe=mysql_result($rs_tmp,$contador,"importe");
		$impuesto=mysql_result($rs_tmp,$contador,"impuesto");
		$dcto=mysql_result($rs_tmp,$contador,"dcto");
		$mondes=mysql_result($rs_tmp,$contador,"mondes");
	
		if ($impuesto==0){
		
		$subexe=$subexe+$importe;
	    $preivi2=$importe;
		 } else {
		 
		 $subgra=$subgra+$importe;
		 $preivi2=$importe+$impuesto;
		 }
		 
	
		$baseimponible=$baseimponible+$importe;
	  	     
		$baseimpuestos=$baseimpuestos+$impuesto;
		    
		$basedescuento=$basedescuento+$mondes;
		
		$preciototal=$baseimponible+$baseimpuestos-$basedescuento;
		 
		 
		 	$query_costos="SELECT * FROM web_1001 WHERE cdgbar='$codigo'";
		$rs_query_costos=mysql_query($query_costos);
		$cosart= mysql_result($rs_query_costos,0,"cosart");
		$cob_iv= mysql_result($rs_query_costos,0,"cob_iv");
		$cdgfam= mysql_result($rs_query_costos,0,"cdgfam");
		$cdglin= mysql_result($rs_query_costos,0,"cdglin");


	
		$sel_insertar="INSERT INTO factulinea (codfactura,dscart,numlinea,codigo,cantidad,cosart,prenivi,preivi,importe,dcto,mondes,impuesto,cdgcli,cdgven,artexe,fecfac,cdgfam,cdglin) VALUES 
		('$codfactura','$dscart','$numlinea','$codigo','$cantidad','$cosart','$preivi','$preivi2','$importe','$dcto','$mondes','$impuesto','$cdgcli','$cdgven','$cob_iv','$fecha','$cdgfam','$cdglin')";
		$rs_insertar=mysql_query($sel_insertar);		
		$sel_articulos="UPDATE web_1001 SET exiact=(exiact-'$cantidad') WHERE cdgbar='$codigo'";
		$rs_articulos=mysql_query($sel_articulos);
		$sel_minimos = "SELECT exiact,dscart FROM web_1001 where cdgbar='$codigo' ";
		$rs_minimos= mysql_query($sel_minimos);

		if ((mysql_result($rs_minimos,0,"exiact") < mysql_result($rs_minimos,0,"exiact")) or (mysql_result($rs_minimos,0,"exiact") <= 0))
	   		{ 
		  		$mensaje_minimo=$mensaje_minimo . " " . mysql_result($rs_minimos,0,"dscart")."<br>";
				$minimo=1;
   			};
		$contador++;
	}
	
	

	//************************************************ Insert 2101 CxC y 0301 saldo actual*******************************
			

		$query_operacion1="INSERT INTO web_2101 (numfac, fecfac, cdgcli, dsccli, pladia, monsub, mondes, impvta, totnet, cdgven, salact , fecven ) VALUES ('$codfactura', '$fecha', '$cdgcli', '$dsccli','$pladia','$baseimponible','$basedescuento','$baseimpuestos','$preciototal','$cdgven','$preciototal',  '$fecven' )";
		$rs_operacion1=mysql_query($query_operacion1);


	$query_saldo="SELECT * FROM web_0301 WHERE cdgcli='$cdgcli'";
	$rs_query_saldo=mysql_query($query_saldo);
	$saldo_actual= mysql_result($rs_query_saldo,0,"salact");
	
	$salact = $saldo_actual+$preciototal;

		$nuevo_saldo="UPDATE web_0301 SET  salact='$salact' WHERE cdgcli='$cdgcli'";
	$nuevo_saldo=mysql_query($nuevo_saldo);



	$preciototal=$baseimponible+$baseimpuestos-$basedescuento;

	$sel_act="UPDATE facturas SET totalfactura='$preciototal' ,  subexe='$subexe', subgra='$subgra', destot='$basedescuento',subtot='$baseimponible', impven='$baseimpuestos', destot='$basedescuento' WHERE codfactura='$codfactura'";
	$rs_act=mysql_query($sel_act);
	$baseimpuestos=0;
	$baseimponible=0;
	$preciototal=0;
	$cabecera1="Inicio >> Ventas &gt;&gt; Nueva Proforma ";
	$cabecera2="Transacción satisfactoria";
	
      
/////////////////////////////////////////insert de la factura de contado ///////////////////////////////////////////////
		}else {
	
	$query_operacion_contado="INSERT INTO facturas_contado (codfactura, numfactura, fecha, iva, cdgcli, dsccli, estado, borrado, remito, cdgtipven, vehpla, kmsveh, cdgven, pladia ) VALUES ('', '$numfactura', '$fecha', '$cob_iv', '$cdgcli', '$dsccli', '1', '0', '$remito','$cdgtipven','$vehpla','$kmsveh','$cdgven','$pladia')";				
	$rs_operacion_contado=mysql_query($query_operacion_contado);
	$codfactura=mysql_insert_id();

	
	// Se guarda la nueva numeracion de factura
	if ($numpro==1)
	{
		$numpro=0;
		$sel_articulos_contado="UPDATE facturas_contado SET codfactura='$numeracionfactura' WHERE codfactura='$codfactura'";
		$rs_articulos_contado=mysql_query($sel_articulos_contado);

		$sel_articulos_contado="UPDATE web_0000 SET numpro=0 ";
		$rs_articulos=mysql_query($sel_articulos_contado);
		$codfactura=$numeracionfactura;
	}
		
	
	if ($rs_operacion) { $mensaje="Factura Completa"; }
	$query_tmp="SELECT * FROM factulineatmp WHERE codfactura='$codfacturatmp' ORDER BY numlinea ASC";
	$rs_tmp=mysql_query($query_tmp);
	$contador=0;
	$baseimponible=0;
	while ($contador < mysql_num_rows($rs_tmp)) {
		//$codfamilia=mysql_result($rs_tmp,$contador,"codfamilia");
		$numlinea=mysql_result($rs_tmp,$contador,"numlinea");
		$codigo=mysql_result($rs_tmp,$contador,"codigo");
		$dscart=mysql_result($rs_tmp,$contador,"dscart");	
		$cantidad=mysql_result($rs_tmp,$contador,"cantidad");
		$preivi=mysql_result($rs_tmp,$contador,"preivi");
		$importe=mysql_result($rs_tmp,$contador,"importe");
		$impuesto=mysql_result($rs_tmp,$contador,"impuesto");
		$mondes=mysql_result($rs_tmp,$contador,"mondes");
		
		$baseimponible=$baseimponible+$importe;
	   
		$baseimpuestos=$baseimpuestos+$impuesto;

		$basedescuento=$basedescuento+$mondes;
		  
		$preciototal=$baseimponible+$baseimpuestos;

		$dcto=mysql_result($rs_tmp,$contador,"dcto");

	
		$sel_insertar="INSERT INTO factulinea_contado (codfactura,dscart,numlinea,codigo,cantidad,preivi,importe,dcto,mondes,impuesto) VALUES 
		('$codfactura','$dscart','$numlinea','$codigo','$cantidad','$preivi','$importe','$dcto','$mondes', '$impuesto')";
		$rs_insertar=mysql_query($sel_insertar);		
		$sel_minimos = "SELECT exiact,dscart FROM web_1001 where cdgbar='$codigo' ";
		$rs_minimos= mysql_query($sel_minimos);

		if ((mysql_result($rs_minimos,0,"exiact") < mysql_result($rs_minimos,0,"exiact")) or (mysql_result($rs_minimos,0,"exiact") <= 0))
	   		{ 
		  		$mensaje_minimo=$mensaje_minimo . " " . mysql_result($rs_minimos,0,"dscart")."<br>";
				$minimo=1;
   			};
		$contador++;
	}
	$preciototal=$baseimponible+$baseimpuestos-$basedescuento;

	$sel_act="UPDATE facturas_contado SET totalfactura='$preciototal' WHERE codfactura='$codfactura'";
	$rs_act=mysql_query($sel_act);
	$baseimpuestos=0;
	$baseimponible=0;
	$preciototal=0;
	$cabecera1="Inicio >> Ventas &gt;&gt; Nueva Proforma ";
	$cabecera2="Transacción satisfactoria";
	}
   }

//////////////////////////////////////////// insertar factura de contado en la tabla facturas y facturas lineas 

if ($accion=="insertar") {

	$query_facturas_contado="SELECT * FROM facturas_contado WHERE codfactura='$codfacturacontado'";
	$rs_query_facturas_contado=mysql_query($query_facturas_contado);
		$cob_iv= mysql_result($rs_query_facturas_contado,0,"iva");
			$cdgcli= mysql_result($rs_query_facturas_contado,0,"cdgcli");
				$dsccli= mysql_result($rs_query_facturas_contado,0,"dsccli");
				$estado= mysql_result($rs_query_facturas_contado,0,"estado");
		         $totalfactura= mysql_result($rs_query_facturas_contado,0,"totalfactura");
						$fechavencimiento= mysql_result($rs_query_facturas_contado,0,"fechavencimiento");
						$borrado= mysql_result($rs_query_facturas_contado,0,"borrado");
						$numfactura= mysql_result($rs_query_facturas_contado,0,"numfactura");
						$vehpla= mysql_result($rs_query_facturas_contado,0,"vehpla");
						$remito= mysql_result($rs_query_facturas_contado,0,"remito");
						$cdgtipven= mysql_result($rs_query_facturas_contado,0,"cdgtipven");
						$cdgven= mysql_result($rs_query_facturas_contado,0,"cdgven");
						$kmsveh= mysql_result($rs_query_facturas_contado,0,"kmsveh");
						$pladia= mysql_result($rs_query_facturas_contado,0,"pladia");
						$cdgcaj= mysql_result($rs_query_facturas_contado,0,"cdgcaj");
						$fecha=date("d-m-Y");
						

	
$query_operacion_contado="INSERT INTO facturas (codfactura, numfactura, fecha, iva, cdgcli, dsccli, totalfactura, estado, borrado, remito, cdgtipven, vehpla, kmsveh, cdgven, pladia, cdgcaj, vuelto, pagacon ) VALUES ('', '$numfactura', '$fecha', '$cob_iv', '$cdgcli','$dsccli', $totalfactura, '1', '0', '$remito','$cdgtipven','$vehpla','$kmsveh','$cdgven','$pladia', '$cod', '$vuelto', '$pagacon')";				
	$rs_operacion_contado=mysql_query($query_operacion_contado);
	$codfacturacontado=mysql_insert_id();

	
	// Se guarda la nueva numeracion de factura
	if ($numpro==1)
	{
		$numpro=0;
		$sel_articulos_contado="UPDATE facturas SET codfactura='$numeracionfactura' WHERE codfactura='$codfacturacontado'";
		$rs_articulos_contado=mysql_query($sel_articulos_contado);

		$sel_articulos_contado="UPDATE web_0000 SET numpro=0 ";
		$rs_articulos=mysql_query($sel_articulos_contado);
		$codfactura=$numeracionfactura;
	}
		
	
	if ($rs_operacion_contado) { $mensaje="Factura Completa"; }
	echo $codfacturacontado2;
	$query_tmp="SELECT * FROM factulinea_contado WHERE codfactura='$codfacturacontado2' ORDER BY numlinea ASC";
	$rs_tmp=mysql_query($query_tmp);
	$contador=0;
	$baseimponible=0;
	while ($contador < mysql_num_rows($rs_tmp)) {
		//$codfamilia=mysql_result($rs_tmp,$contador,"codfamilia");
		$numlinea=mysql_result($rs_tmp,$contador,"numlinea");
		$codigo=mysql_result($rs_tmp,$contador,"codigo");
		$dscart=mysql_result($rs_tmp,$contador,"dscart");
		$cantidad=mysql_result($rs_tmp,$contador,"cantidad");
		$preivi=mysql_result($rs_tmp,$contador,"preivi");
		$importe=mysql_result($rs_tmp,$contador,"importe");
		$impuesto=mysql_result($rs_tmp,$contador,"impuesto");
		$mondes=mysql_result($rs_tmp,$contador,"mondes");
		$dcto=mysql_result($rs_tmp,$contador,"dcto");
	
	if ($impuesto==0){
		
		$subexe=$subexe+$importe;
	    $preivi2=$importe;
		 } else {
		 
		 $subgra=$subgra+$importe;
		 $preivi2=$importe+$impuesto;
		 }
	
	
		$baseimponible=$baseimponible+$importe;
 
		$baseimpuestos=$baseimpuestos+$impuesto;
	 
		$basedescuento=$basedescuento+$mondes;
	 
		$preciototal=$baseimponible+$baseimpuestos-$basedescuento;
	 
		 	$query_costos="SELECT * FROM web_1001 WHERE cdgbar='$codigo'";
		$rs_query_costos=mysql_query($query_costos);
		$cosart= mysql_result($rs_query_costos,0,"cosart");
		$cob_iv= mysql_result($rs_query_costos,0,"cob_iv");
		$cdgfam= mysql_result($rs_query_costos,0,"cdgfam");
		$cdglin= mysql_result($rs_query_costos,0,"cdglin");
		
		

	
		$sel_insertar="INSERT INTO factulinea (codfactura,dscart,numlinea,codigo,cantidad,cosart,prenivi,preivi,importe,dcto,mondes,impuesto,cdgcli,cdgven,artexe,fecfac,cdgfam,cdglin) VALUES 
		('$codfacturacontado','$dscart','$numlinea','$codigo','$cantidad','$cosart','$preivi','$preivi2','$importe','$dcto','$mondes','$impuesto','$cdgcli','$cdgven','$cob_iv','$fecha','$cdgfam','$cdglin')";
		$rs_insertar=mysql_query($sel_insertar);		
		$sel_articulos="UPDATE web_1001 SET exiact=(exiact-'$cantidad') WHERE cdgbar='$codigo'";
		$rs_articulos=mysql_query($sel_articulos);
		$sel_minimos = "SELECT exiact,dscart FROM web_1001 where cdgbar='$codigo' ";
		$rs_minimos= mysql_query($sel_minimos);

		if ((mysql_result($rs_minimos,0,"exiact") < mysql_result($rs_minimos,0,"exiact")) or (mysql_result($rs_minimos,0,"exiact") <= 0))
	   		{ 
		  		$mensaje_minimo=$mensaje_minimo . " " . mysql_result($rs_minimos,0,"dscart")."<br>";
				$minimo=1;
   			};
		$contador++;
	}
	$preciototal=$baseimponible+$baseimpuestos-$basedescuento;
	
		$sel_act="UPDATE facturas SET totalfactura='$preciototal' ,  subexe='$subexe', subgra='$subgra', subtot='$baseimponible', impven='$baseimpuestos', destot='$basedescuento' WHERE codfactura='$codfacturacontado'";
	$rs_act=mysql_query($sel_act);
	$baseimpuestos=0;
	$baseimponible=0;
	$preciototal=0;
	$cabecera1="Inicio >> Ventas &gt;&gt; Nueva Proforma ";
	$cabecera2="Transacción satisfactoria";
	
	$consulta = "DELETE FROM factulinea_contado WHERE codfactura ='".$codfactura."' AND numlinea='".$numlinea."'";
$rs_consulta = mysql_query($consulta);

$consulta2 = "DELETE FROM facturas_contado WHERE codfactura ='".$codfacturacontado2."'";
$rs_consulta2 = mysql_query($consulta2);
	
}	

///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

if ($accion=="insertar"){



?>
	<script language="javascript">
		var cursor;
		if (document.all) {
		// Está utilizando EXPLORER
		cursor='hand';
		} else {
		// Está utilizando MOZILLA/NETSCAPE
		cursor='pointer';
		}
		
		function aceptar() {
			location.href="nueva_proforma.php";
		}
		
		function imprimir(codfactura) {
		//	window.open("../fpdf/imprimir_factura.php?codfactura="+codfactura);
		//window.open("../fpdf/imprimir_factura_PUNTO_VENTA.php?codfactura="+codfactura);
		//window.open("../fpdf/imprimir_factura_PUNTO_VENTA.php?codfactura="+codfactura);
		window.open("../fpdf/imprimir_Original.php?codfactura="+codfactura);
		window.open("../fpdf/imprimir_Copia.php?codfactura="+codfactura);
		
		location.href="nueva_proforma.php";
		}
		
		
function nobackbutton(){	
   window.location.hash="no-back-button";	
   window.location.hash="Again-No-back-button" //chrome	
   window.onhashchange=function(){window.location.hash="no-back-button";}	
}
		
		</script>
<? 
		

	
echo "<script>";
echo "imprimir($codfacturacontado);";
echo "</script>";	

	
   }




///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////





	if ($cdgtipven==1){
	?>
		<script language="javascript">
				parent.location.href="../Administrador.php";
		</script>
		<? 
		
	} else {


?>
	<script language="javascript">
		var cursor;
		if (document.all) {
		// Está utilizando EXPLORER
		cursor='hand';
		} else {
		// Está utilizando MOZILLA/NETSCAPE
		cursor='pointer';
		}
		
		function aceptar() {
			location.href="nueva_proforma.php";
		}
		
		function imprimir(codfactura) {
		//	window.open("../fpdf/imprimir_factura.php?codfactura="+codfactura);
				//window.open("../fpdf/imprimir_factura_PUNTO_VENTA.php?codfactura="+codfactura);
		window.open("../fpdf/imprimir_Original.php?codfactura="+codfactura);
		window.open("../fpdf/imprimir_Copia.php?codfactura="+codfactura);
		location.href="nueva_proforma.php";
		}
		
		
function nobackbutton(){	
   window.location.hash="no-back-button";	
   window.location.hash="Again-No-back-button" //chrome	
   window.onhashchange=function(){window.location.hash="no-back-button";}	
}
		</script>
<? 
		

	
echo "<script>";
echo "imprimir($codfactura);";
echo "</script>";	

	
   }



?>
